//depend on Point
//depend on PointList

import java.awt.Color;

public class Poly {
	//---------------------------------------------------------
	//
	//---------------------------------------------------------
	int[] list;	//list of Point index in PointList
	int num;	//easier to dupe poly with only index
	Color color;
	Color border;
	Boolean backface_culling = true;	//make the back face culling optional per polygon
					//find a cool way to declare it
	//---------------------------------------------------------
	//constructor
	//---------------------------------------------------------
	public Poly() {
		this.list = new int[3];
		this.num = 0;
	}
	public Poly(int n) {
		if (n < 3) {
			n = 3;		//a polygone have at least 3 point
		}
		this.list = new int[n];
		this.num = 0;
	}
	public Poly(Poly p) {
		this.list = new int[p.num];
		for (this.num = 0; this.num < p.num; this.num++) {
			this.list[this.num] = p.list[this.num];
		}
		this.color = p.color;
		this.border = p.border;
	}
	//---------------------------------------------------------
	//appending
	//---------------------------------------------------------
	public void append(int i) {
		if (this.num < this.list.length) {
			this.list[this.num] = i;
			this.num += 1;
		}
	}
	public void append(Poly p) {
		if (this.num + p.num < this.list.length) {
			for (this.num = this.num; this.num < p.num + this.num; this.num++) {
				this.list[this.num] = p.list[this.num];
				this.num += 1;
			}
		}
	}
	//---------------------------------------------------------
	//color
	//---------------------------------------------------------
	public void fill(Color c) {
		this.color = c;
	}
	public void fill(int r, int g, int b) {
		this.color = new Color(r,g,b);
	}
	public void draw(Color c) {
		this.border = c;
	}
	public void draw(int r, int g, int b) {
		this.border = new Color(r,g,b);
	}
	//---------------------------------------------------------
	//end
	//---------------------------------------------------------
}
