public class Polygon {
	double[][] point;
	int npoint;
	Color fill;
	Color draw;
	boolean avoid;

	public Polygon(Polygon p) {
		this.point = new double[3][p.npoint];
		for (this.npoint = 0; this.npoint < p.npoint; this.npoint++) {
			this.point[0][this.npoint] = p.point[0][this.npoint];
			this.point[1][this.npoint] = p.point[1][this.npoint];
			this.point[2][this.npoint] = p.point[2][this.npoint];
		}
		this.fill = p.fill;
		this.draw = p.draw;
	}

	public Polygon(String str) {
		//care about only polygon , the str end at "\n" of EOF
		String[] polys = str.split("\n");				//extract polygon from string (separated by newline)
		String[] points = polys[0].split(" ");		//extract point from polygon string (sparated by whitespace)

		this.point = new double[3][ points.length ];	//number of corner
		this.npoint = 0;

		for (int j = 0; j<points.length; j++) {
			String[] comps = points[j].split(":");	//extract x,y,z from point string (separated by : like x:y:z) 
			double x = Double.parseDouble(comps[0]);
			double y = Double.parseDouble(comps[1]);
			double z = Double.parseDouble(comps[2]);
			//if it is the first trio , then it is the color
			if (j == 0) {
				poly.fill((int)(x*255),(int)(y*255),(int)(z*255));
			}
			else if (j == 1) {
				poly.draw((int)(x*255),(int)(y*255),(int)(z*255));
			}
			else {
				if (this.npoint < point.lenght) {
					this.point[0][this.npoint] = x;
					this.point[1][this.npoint] = y;
					this.point[2][this.npoint] = z;
				}
			}
		}
	}

}
