public class ModelList {
	//---------------------------------------------------------
	//
	//---------------------------------------------------------
	Model[] list;
	int num;
	//---------------------------------------------------------
	//constructor
	//---------------------------------------------------------
	public ModelList() {
		this.list = new Model[6];
		this.num = 0;
	}
	public ModelList(int n) {
		this.list = new Model[n];
		this.num = 0;
	}
	//---------------------------------------------------------
	//append
	//---------------------------------------------------------
	public int append(Model m) {
		if (this.num < this.list.length) {
			this.list[this.num] = m;
			this.num += 1;
			return this.num - 1;
		} else {
			return -1;
		}	
	}
		//append function with polylist argument will help composition
	//----------------------------------------
	//opperation  for each model
	//----------------------------------------
	public void move(double x, double y, double z){
		for (int i = 0; i<this.num; i++) {
			this.list[i].move(x,y,z);
		}
	}
	public void rotate_x(double r) {
		for (int i = 0; i<this.num; i++) {
			this.list[i].rotate_x(r);
		}
	}
	public void rotate_y(double r) {
		for (int i = 0; i<this.num; i++) {
			this.list[i].rotate_y(r);
		}
	}
	public void rotate_z(double r) {
		for (int i = 0; i<this.num; i++) {
			this.list[i].rotate_z(r);
		}
	}
	//-------------------------------------------
	//absolute/relative  for each model
	//-------------------------------------------
	public void absolute() {
		for (int i = 0; i<this.num; i++) {
			this.list[i].absolute();
		}
	}
	public void relative() {
		for (int i = 0; i<this.num; i++) {
			this.list[i].relative();
		}
	}
	//-------------------------------------------
	//end
	//-------------------------------------------
}
